
CoCoA-5 - Feature #105

Add I*f and f*I (RINGELEM and IDEAL)

16 Mar 2012 07:38 - Anna Maria Bigatti

Status: Closed Start date: 16 Mar 2012

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Parser/Interpreter Estimated time: 3.00 hours

Target version: CoCoA-5.0.9 Spent time: 0.85 hour

Description

Multiplication of RINGELEM and IDEAL is missing.

Add it to CoCoALib and CoCoA-5.

(Multiply, product: keys for "Search" ;-)

History

#1 - 19 Mar 2012 11:45 - John Abbott

Just a quick note reporting what we'd already said vocally: both left and right multiplication should be enabled (partly for symmetry, and partly to

simplify possible future extensions to non-commutative rings).

#2 - 28 Mar 2014 09:44 - John Abbott

- Status changed from New to Feedback

- % Done changed from 0 to 90

JAA has made a simplistic impl.

Documentation?

#3 - 01 Apr 2014 18:46 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- Assignee changed from Anna Maria Bigatti to John Abbott

- Target version set to CoCoA-5.0.9

- % Done changed from 90 to 100
